%define api_version     2.4
%define lib_major	1
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup
Version:	2.54.1
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	%{name}-%{version}.tar.xz
#-------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	intltool
#-------------------------------------
Requires:	glib-networking
BuildRequires:	gtk-doc


%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.


%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Obsoletes:	libsoup < %{version}
Provides:	libsoup =  %{version}-%{release}

%description -n %{lib_name}

Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.


%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/Libraries
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name}
Obsoletes:	libsoup-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}

Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.


%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-tls-check \
	--enable-gtk-doc

%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%find_lang %name


%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib
%{_libdir}/girepository-1.0/SoupGNOME-%{api_version}.typelib
%{_datadir}/locale

%files -n %{develname}
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}-%api_version
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_datadir}/gir-1.0/SoupGNOME-%{api_version}.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/vala/vapi/%{name}-%{api_version}.vapi
%{_datadir}/vala/vapi/%{name}-%{api_version}.deps


%clean 
rm -rf %buildroot

%changelog
* Mon Nov 28 2016 adrianomorselli <adrianomorselli> 2.54.1-1uplos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 2.54.1-1pclos2016
- update

* Sun Nov 15 2015 bb <bb> 2.52.2-1pclos2015
- update

* Wed Oct 14 2015 bb <bb> 2.52.1-2pclos2015
- rebuild for updates

* Tue Oct 13 2015 bb <bb> 2.52.1-1pclos2015
- update

